[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [rdo-list] current tempest packaging issues/bugs



I thought this might be of general interest for subscribers to
rdo-list, so I'm cc'ing that list here.

On Mon, Jun 13, 2016 at 12:32 AM, Steven Linabery <slinaber redhat com> wrote:
> Hello,
>
> dmellado, apevec and I have been working through various problems with
> the openstack-tempest RPM. I want to summarize some of the issues and
> give an overview of where things stand.
>
> 1) There is an issue with upstream openstack zaqar package that breaks
> using some of the tempest cli tools. The relevant bug is:
>
> https://bugzilla.redhat.com/show_bug.cgi?id=1333884
>
> When installing the mitaka openstack-tempest RPM, two things are
> broken: 'tempest --help --debug' fails, and shows that the cli entry
> points are not configured correctly. More crucially, the downstream
> tempest configuration script stacktraces as well.
>
> We proposed a fix for setting the cli options which clears the above
> errors, but it is failing the upstream gates, so I marked it as WIP:
> https://review.openstack.org/#/c/327268/
>
>
> 2) We merged a change to the tempest spec in RDO to remove
> requirements.txt and test-requirements.txt from the package source.
> One consequence of that was breaking the ability to run tempest in a
> virtual environment. The temporary workaround for people who want to
> use a venv is to download the requirements.txt file from the midstream
> repo, but once we have fixed the RPM, it should be unnecessary to use
> a virtual environment.
>
> I'm not sure we should be supporting the use case of using a virtual
> environment in any case, but fixing the RPM should obviate the need
> for that.
>
> That work was tracked here:
> https://bugzilla.redhat.com/show_bug.cgi?id=1342218
>
> 3) Even with the zaqar patch from 1) above applied (manually, to
> site-packages), we hit an issue where the version of urllib3 (and a
> few associated dependencies) are too old in RDO mitaka. So we have
> this bug to track getting those packages updated:
>
> https://bugzilla.redhat.com/show_bug.cgi?id=1344148
>
> You will note that apevec has builds for these upgrades queued up, and
> they can be used by installing the testing repo for which he kindly
> provided a repo definition file in comment #7.
>
> 4) When (on a oooq undercloud) the fix from 1) is applied and the
> upgraded packages are installed from 3), one can get the tempest
> configuration script to pass, but running the smoketests fails. I've
> started a bug to track fixing that issue:
>
> https://bugzilla.redhat.com/show_bug.cgi?id=1345736
>
>
> I think that covers the issues that I am aware of right now. dmellado
> may have additional input here. I wanted people to have an idea of the
> issues since I will be on PTO Monday 13-Jun.
>
> It's essential for us to get the RPM behaving properly so we can
> import it downstream like we are doing with the other mitaka and
> newton builds for standing up OSP 9 & 10.
>
> Thanks for reading, hth.
>
> Steve Linabery (eggs)


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]